waterfox (2022.11-1+stackrpms) obs; urgency=medium

  - latest version

 -- B. Stack <bgstack15@gmail.com>  Wed, 01 Mar 2023 11:00:19 -0500

waterfox (2022.08-1+devuan) obs; urgency=medium

  - latest version

 -- B. Stack <bgstack15@gmail.com>  Tue, 27 Sep 2022 13:38:48 -0400

waterfox (2022.06-1+devuan) obs; urgency=medium

  - latest version

 -- B. Stack <bgstack15@gmail.com>  Tue, 19 Jul 2022 09:29:03 -0400

waterfox (2022.04-1+devuan) obs; urgency=medium

  - latest version

 -- B. Stack <bgstack15@gmail.com>  Wed, 01 Jun 2022 12:03:25 -0400

waterfox (2022.01-1+devuan) obs; urgency=medium

  - latest version

 -- B. Stack <bgstack15@gmail.com>  Thu, 10 Feb 2022 14:47:47 -0500

waterfox (2021.11-1+devuan) obs; urgency=medium

  - latest version

 -- B. Stack <bgstack15@gmail.com>  Mon, 29 Nov 2021 08:36:15 -0500

waterfox (2021.10-1+devuan) obs; urgency=medium

  - latest version

 -- B. Stack <bgstack15@gmail.com>  Thu, 21 Oct 2021 14:34:32 -0400

waterfox (2021.09-1+devuan) obs; urgency=medium

  - latest version

 -- B. Stack <bgstack15@gmail.com>  Thu, 30 Sep 2021 07:59:47 -0400

waterfox (2021.08-2+devuan) obs; urgency=medium

  - Attempt with dh --without autoreconf to solve the OBS problem
    of error: configure.in: AC_INIT not found: not an autoconf
    script?

 -- B. Stack <bgstack15@gmail.com>  Sat, 11 Sep 2021 17:02:59 -0400

waterfox (2021.08-1+devuan) obs; urgency=medium

  - latest version

 -- B. Stack <bgstack15@gmail.com>  Mon, 23 Aug 2021 10:29:09 -0400

waterfox (2021.07-1+devuan) obs; urgency=medium

  - latest version

 -- B. Stack <bgstack15@gmail.com>  Wed, 14 Jul 2021 16:45:06 -0400

waterfox (2021.06-1+devuan) obs; urgency=medium

  - latest version

 -- B. Stack <bgstack15@gmail.com>  Tue, 15 Jun 2021 11:02:50 -0400

waterfox (2021.04.2-1+devuan) obs; urgency=medium

  - latest version

 -- B. Stack <bgstack15@gmail.com>  Tue, 27 Apr 2021 14:37:07 -0400

waterfox (2021.04-1+devuan) obs; urgency=medium

  - latest version

 -- B. Stack <bgstack15@gmail.com>  Fri, 23 Apr 2021 09:27:11 -0400

waterfox (2021.03-1+devuan) obs; urgency=medium

  - latest version

 -- B. Stack <bgstack15@gmail.com>  Mon, 29 Mar 2021 10:58:46 -0400

waterfox (2021.02-1+devuan) obs; urgency=medium

  - latest version

 -- B. Stack <bgstack15@gmail.com>  Mon, 19 Feb 2021 08:37:02 -0500

waterfox (2021.01-1+devuan) obs; urgency=medium

  - latest version

 -- B. Stack <bgstack15@gmail.com>  Mon, 01 Feb 2021 10:21:52 -0500

waterfox (2020.12-1+devuan) obs; urgency=medium

  - latest version

 -- Ben Stack <bgstack15@gmail.com>  Wed, 09 Dec 2020 08:10:44 -0500

waterfox (2020.10-1+devuan) obs; urgency=medium

  - latest version

 -- Ben Stack <bgstack15@gmail.com>  Tue, 27 Oct 2020 20:29:11 -0400

waterfox (2020.09-1+devuan) obs; urgency=medium

  - Latest version
    * Latest security advisories patched (best effort)

 -- Ben Stack <bgstack15@gmail.com>  Thu, 24 Sep 2020 09:44:00 -0400

waterfox (2020.08-1+devuan) obs; urgency=medium

  - Latest version
    * Updated Network Security Services
    * Set maximum supported TLS version to 1.3 and minimum to 1.2
    * Updated SQLite library
    * Improved <table> support
    * Latest security advisories patched (best effort)

 -- Ben Stack <bgstack15@gmail.com>  Tue, 25 Aug 2020 14:26:28 -0400

waterfox (2020.07-1+devuan) obs; urgency=medium

  - Latest version. No release notes yet on waterfox.net

 -- Ben Stack <bgstack15@gmail.com>  Tue, 11 Aug 2020 14:01:31 -0400

waterfox (2020.06-1+devuan) obs; urgency=medium

  - Latest security advisories patched (best effort).
    * Note: Aware of issues with some websites such as Netflix! It is
      being investigated.
    * As the differences between Classic and later Firefox versions
      grow, we are doing our best to patch the security advisories as
      we think apply to Classic.

 -- Ben Stack <bgstack15@gmail.com>  Sat, 04 Jul 2020 12:04:59 -0400

waterfox (2020.06-1+devuan) obs; urgency=medium

  - Latest security advisories patched (best effort)*
  - Various website compatibilty changes (Thanks to
    [hawkeye116477](https://github.com/MrAlex94/Waterfox/issues?q=is%3Apr+author%3Ahawkeye116477))
    * JavaScript globalThis implemented
    * Fix for WebAudio
    * Partial Shadow DOM v1 support (experimental)
    * Fix for some crashes

 -- Ben Stack <bgstack15@gmail.com>  Thu, 04 Jun 2020 13:54:57 -0400

waterfox (2020.05-1+devuan) obs; urgency=medium

  - Latest security advisories patched (best effort)*

 -- Ben Stack <bgstack15@gmail.com>  Wed, 08 Apr 2020 14:38:08 -0400

waterfox (2020.04-1+devuan) obs; urgency=medium

  * From blog release notes
  - Classic branch
    * Fixed various security issues
    * Improved gtk support (thanks to hawkeye116477)
    * Fixed library requirements on Linux
    * Various media library updates
    * Added DNS resolution to webextensions api
    * Updated timezone data for internationalization functions
    * Enabled unprefixed Fullscreen API
    * Various website rending issues fixed (Kinguin, Intel, Epic Games and others)
    * Fixed problems related with uBO html filters
    * Updated en-US dictionary

 -- Ben Stack <bgstack15@gmail.com>  Wed, 08 Apr 2020 14:38:08 -0400

waterfox (2020.03-1+devuan) obs; urgency=medium

  - From blog release notes
  - Classic branch
    * Fixed various websites not loading properly (Thanks to hawkeye116477 for the gargantuan effort)
    * Logo now has Classic tag to differentiate from Current
    * Improved gtk3 support
    * Fixed DRM issues (Netflix, Prime Video etc)
    * Various privacy settings update
    * Fixed library requirements on Linux
    * Various media library updates
    * Added DNS resolution to webextensions api
    * Updated timezone data for internationalization functions
    * Enabled unprefixed Fullscreen API
    * Various website rending issues fixed (Kinguin, Intel, Epic Games and others)
    * Fixed problems related with uBO html filters
    * Updated en-US dictionary

 -- Ben Stack <bgstack15@gmail.com>  Thu, 12 Mar 2020 08:35:07 -0400

waterfox (2020.02-1+devuan) obs; urgency=medium

  - From blog release notes
  - Classic branch
    * Fixed library requirements on Linux
    * Various media library updates
    * Added DNS resolution to webextensions api
    * Updated timezone data for internationalization functions
    * Enabled unprefixed Fullscreen API
    * Various website rending issues fixed (Kinguin, Intel, Epic Games and others)
    * Fixed problems related with uBO html filters
    * Updated en-US dictionary

 -- B Stack <bgstack15@gmail.com>  Tue, 18 Feb 2020 15:33:11 -0500

waterfox (2020.01-1+devuan) obs; urgency=medium

  - From blog release notes
  - Classic branch
    * Very important security patches

 -- B Stack <bgstack15@gmail.com>  Tue, 28 Jan 2020 07:58:33 -0500

waterfox (2019.12-1+devuan) obs; urgency=medium

  - Classic branch
    * New features:
        * Restart button in PanelUI and Menu
        * Copy current tab URL
        * Copy all tab URLs
        * New advanced settings in Features tab
    * Added settings for blocking notifications and exceptions
    * Added settings for disabling loading images automatically and exceptions
    * Added settings for disabling JavaScript with exceptions and advanced settings
    * Added new privacy settings
    * Added possibility to disable search bar on new tab page
    * Containers support enabled
    * Added support for new emoji in Unicode/Emoji 12
    * Storage API enabled
    * Security patches

 -- B Stack <bgstack15@gmail.com>  Wed, 18 Dec 2019 11:44:32 -0500

waterfox (56.2.14-1+devuan) obs; urgency=medium

  * This a security release, which brings Waterfox inline with security patches from ESR 60.9
    -  Waterfox for macOS is now built with OS X 10.11 SDK once again, which should alleviate crashes.

 -- B Stack <bgstack15@gmail.com>  Mon, 09 Sep 2019 10:58:27 -0400

waterfox (56.2.13-1+devuan) obs; urgency=medium

  * Updated Gecko Media Plugin components
    - Waterfox now supports the latest version of the Widevine CDM (v10). This should last for a while until Google sunsets this version.
    - A few memory leaks were fixed due to this upgrade
  * Upgraded from Widevine CDM 1.4.9.1088 to Widevine CDM 4.10.1440.19
  * Upgraded from OpenH264 1.6 to OpenH264 1.8.1
    - This should result in less crashing and better performance
  * Support filtering streaming response data via webRequest API (Thanks to [hawkeye116477](https://github.com/MrAlex94/Waterfox/pull/1080))
  * Support access keys in extension menus (Thanks to [ChiaYen Kan](https://github.com/MrAlex94/Waterfox/commit/6692fe7d2804af626ebc136760a6c221f91c98f7))
  * User agent overrides are now much easier to add - with the options to have an automatic updating list depending on how users feel about this.
  * If upgrading from previous versions of Waterfox, you will be asked to re-enable DRM. After re-enabling, if videos with DRM do not work please restart Waterfox and videos should start to work again.

 -- B Stack <bgstack15@gmail.com>  Wed, 21 Aug 2019 08:56:57 -0400

waterfox (56.2.12-2+devuan) obs; urgency=medium

  * Add override for dh_strip_nondeterminism to address build failures with the
    latest version of that in Debian Testing and Sid.

 -- B Stack <bgstack15@gmail.com>  Sun, 04 Aug 2019 09:37:10 -0400

waterfox (56.2.12-1+devuan) manual; urgency=medium

  * Patches for [mfsa2019-22](https://www.mozilla.org/en-US/security/advisories/mfsa2019-22/).

 -- B Stack <bgstack15@gmail.com>  Mon, 11 Jul 2019 10:07:44 -0400

waterfox (56.2.11-2+devuan) manual; urgency=medium

  * Repackaged for obs, which required disabling rust-simd.

 -- B Stack <bgstack15@gmail.com>  Mon, 01 Jul 2019 13:56:48 -0400

waterfox (56.2.11-1+devuan) manual; urgency=medium

  * New logo
  * Security fix for CVE-2019-11707.
  * Fixed issues that prevented themes from AMO installing.
  * Added some more overrides for popular websites.
  * Fixed issues where the Gecko Media Plugins were not downloading, preventing websites that required DRM such as Netflix from working.
  * Enabled support for JavaScript modules.

 -- B Stack <bgstack15@gmail.com>  Thu, 28 Jun 2019 08:12:23 -0400

waterfox (56.2.10.1-1+devuan) manual; urgency=medium

  * Add Unity/Global Menu support

 -- B Stack <bgstack15@gmail.com>  Thu, 13 Jun 2019 09:47:07 -0400

waterfox (56.2.10-1+devuan) manual; urgency=medium

  * Latest security fixes up to Firefox ESR 60.7
  * Added new Mozilla certificates to be able to install add-ons from AMO again
  * Waterfox has now updated its user agent to `Mozilla/5.0 (platform; rv:56.0) Gecko/20100101 Firefox/56.0 Waterfox/waterfoxversion`
    - This will fix issues related to aggressive Google reCAPTCHA. (VPNs, Proxies and extensions may still have an effect though).
    - This should also fix issues with Google doing [A/B testing](https://en.wikipedia.org/wiki/A/B_testing) on YouTube that breaks for Waterfox.
    - Certain websites require a standard Firefox user agent. If you find a website isn’t working, please request a standard user agent to be added for it [here](https://github.com/MrAlex94/Waterfox/issues/985).

 -- B Stack <bgstack15@gmail.com>  Wed, 22 May 2019 20:47:39 -0400

waterfox (56.2.9-1+devuan) manual; urgency=medium

  * Various security fixes.
  * Switched to twemoji for platforms that do not natively support emoji.
  * Fixed bug causing issues with add-ons such as Tab Mix Plus.
  * Fixed issue with Instagram

 -- B Stack <bgstack15@gmail.com>  Sun, 21 Apr 2019 20:47:39 -0400

waterfox (56.2.8-1+devuan) manual; urgency=medium

  * Waterfox now identifies itself as Firefox 60 ESR. This should fix a lot of website issues. Unfortunately there will be no unique way to identify Waterfox.
    * WhatsApp Web now works, as should Chase et al.
  * Various security fixes.
  * Corrected the behavior of Element.scrollIntoView which some websites rely on to work.
  * Disabled Service Workers by default (should fix GMail issues on Windows!).

 -- B Stack <bgstack15@gmail.com>  Wed,  6 Mar 2019 14:46:06 -0500

waterfox (56.2.7.1-1+devuan) manual; urgency=medium

  * Rebuild for Devuan.

 -- B Stack <bgstack15@gmail.com>  Wed,  6 Mar 2019 14:46:06 -0500

waterfox (56.2.7.1-0.1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 15 Feb 2019 13:15:41 -0800

waterfox (56.2.7.1-0) obs; urgency=medium
    * Fixed and updated search icons on about:home and about:newtab.
    * Test out a new user agent to hopefully fix website issues.

 -- hawkeye116477 <hawkeye116477@gmail.com>  Sat, 2 Feb 2019 17:17:00 +0200

waterfox (56.2.7-0) obs; urgency=medium
    * Mozilla Foundation Security Advisories patched

        - 2019-02

    * Fixed HTML5 DRM playback issues on websites such as Amazon Prime.

 -- hawkeye116477 <hawkeye116477@gmail.com>  Fri, 1 Feb 2019 00:15:00 +0200

waterfox (56.2.6-0) obs; urgency=high
    * Mozilla Foundation Security Advisories patched:

        - 2018-30

    * Updated NSS to 3.34
    * Updated manpage
    * Added missing symlink for syspref.js
    * Updated translation of waterfox.desktop to Chinese by pirate486743186

 -- hawkeye116477 <hawkeye116477@gmail.com>  Thu, 20 Dec 2018 11:29:00 +0200

waterfox (56.2.5.1-0) obs; urgency=high
    * Fix postinst error
    * Add syspref.js in /etc/waterfox for setting preferences for all users

 -- hawkeye116477 <hawkeye116477@gmail.com>  Sun, 4 Nov 2018 09:57:00 +0200

waterfox (56.2.5-0) obs; urgency=high

    * Mozilla Foundation Security Advisories patched:

        - 2018-23
        - 2018-24
        - 2018-27

    * Added AppArmor profile

 -- hawkeye116477 <hawkeye116477@gmail.com>  Thu, 1 Nov 2018 14:10:00 +0200

waterfox (56.2.4-0) obs; urgency=high

    * Mozilla Foundation Security Advisories patched:
        - 2018-23
        - 2018-24

    * There is now a complete backup of all classic add-ons from the Mozilla Add-On Store, mirrored on the Waterfox CDN. You can use the Classic add-on Archive add-on to view the catalogue. This will be integrated into the next minor Waterfox version (56.3).

    * Moved from /opt to /usr/lib to follow Debian's standards

 -- hawkeye116477 <hawkeye116477@gmail.com>  Mon, 15 Oct 2018 13:48:00 +0200
